package jiaocaiziliao

import "shylinux.com/x/ice"

type library struct{ Table }

func init() { ice.TeamCtxCmd(library{}) }

type LibraryType int

const (
	LibraryPersonal LibraryType = iota
	LibraryPublisher
)

var LibraryTypeList = map[LibraryType]string{
	LibraryPersonal:  "personal",
	LibraryPublisher: "publisher",
}

func (s LibraryType) String() string { return LibraryTypeList[s] }
