package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type class struct{ Table }

func (s class) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.GRADE:
		y := kit.Int(kit.Split(m.Time(), "-")[0])
		for i := 0; i < 20; i++ {
			m.Push(arg[0], kit.Format("%d级", y))
			y--
		}
	case model.NAME:
		m.Push(arg[0], "高一二班")
		m.Push(arg[0], "高二三班")
		m.Push(arg[0], "初一一班")
		m.Push(arg[0], "初一二班")
		m.Push(arg[0], "一年级一班")
	default:
		s.Table.Inputs(m, arg...)
	}
}

func init() { ice.TeamCtxCmd(class{}) }

type ClassType int

const (
	ClassTerm ClassType = iota
	ClassWeekly
	ClassStep
	ClassFree
)

var ClassTypeList = map[ClassType]string{
	ClassTerm:   "term",
	ClassWeekly: "weekly",
	ClassStep:   "step",
	ClassFree:   "free",
}

func (s ClassType) String() string { return ClassTypeList[s] }
