package jiaowuxitong

import "shylinux.com/x/ice"

type userClass struct{ Table }

func init() { ice.TeamCtxCmd(userClass{}) }

type UserClassRole int

const (
	UserClassVisitor UserClassRole = iota
	UserClassCreator
	UserClassTeacher
	UserClassStudent
	UserClassParent
)

var UserClassRoleList = map[UserClassRole]string{
	UserClassVisitor: "visitor",
	UserClassCreator: "creator",
	UserClassTeacher: "teacher",
	UserClassStudent: "student",
	UserClassParent:  "parent",
}

func (s UserClassRole) String() string { return UserClassRoleList[s] }
