package kaoshixitong

import "shylinux.com/x/ice"

type exam struct{ Table }

func init() { ice.TeamCtxCmd(exam{}) }

type ExamType int

const (
	ExamTerm ExamType = iota
	ExamWeekly
	ExamStep
	ExamFree
)

var ExamTypeList = map[ExamType]string{
	ExamTerm:   "term",
	ExamWeekly: "weekly",
	ExamStep:   "step",
	ExamFree:   "free",
}

func (s ExamType) String() string { return ExamTypeList[s] }
