package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID            = "uid"
	NAME           = "name"
	INFO           = "info"
	TYPE           = "type"
	TITLE          = "title"
	CONTENT        = "content"
	USER_UID       = "user_uid"
	USER_EXAM_ROLE = "user_exam_role"
	EXAM_UID       = "exam_uid"
	EXAM_TYPE      = "exam_type"
	QUESTION_UID   = "question_uid"
)

type UserExam struct {
	db.ModelUserPlace
	ExamUID string `gorm:"type:char(32);index"`
}
type Exam struct {
	db.ModelPlace
	SchoolUID string `gorm:"type:char(32);index"`
}
type Question struct {
	db.ModelContent
	ExamUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserExam{}, &Exam{}, &Question{}) }
