package zaixianketang

import "shylinux.com/x/ice"

type course struct{ Table }

func init() { ice.TeamCtxCmd(course{}) }

type CourseType int

const (
	CourseTerm CourseType = iota
	CourseWeekly
	CourseStep
	CourseFree
)

var CourseTypeList = map[CourseType]string{
	CourseTerm:   "term",
	CourseWeekly: "weekly",
	CourseStep:   "step",
	CourseFree:   "free",
}

func (s CourseType) String() string { return CourseTypeList[s] }
